/*terminal from https://codepen.io/redouglas/pen/eNvKOo*/

.pink {
    color: plum;
}

.pblue {
    color: powderblue;
}

.bottom-margin {
    margin-bottom: 2.5em;
}

.terminal-just-border {
    border-top: 25px solid #dedede;
    border-left: 4px solid #dedede;
    border-right: 4px solid #dedede;
    border-bottom: 4px solid #dedede;
    width: auto;
    position: relative;
    box-shadow: 0 0 5px 1px rgba(0, 0, 0, 0.3);
    margin: 20px auto;
    display: block;
    max-width: 500px;
}

@media screen and (max-width: 39.9375em) {
    .terminal-just-border {
        max-width: auto;
        margin: auto;
    }
}

.terminal {
    border-top: 25px solid #dedede;
    border-left: 4px solid #dedede;
    border-right: 4px solid #dedede;
    border-bottom: 4px solid #dedede;
    background-color: #000;
    width: auto;
    height: 300px;
    border-radius: 5px;
    color: #fff;
    unicode-bidi: embed;
    font-family: monospace;
    font-size: 1em;
    overflow: scroll;
    white-space: pre;
    line-height: 1.3em;
    position: relative;
    box-shadow: 0 0 5px 1px rgba(0, 0, 0, 0.3);
    margin: 20px auto;
    display: block;
    max-width: 450px;
}

@media screen and (max-width: 39.9375em) {
    .terminal-just-border {
        max-width: auto;
        margin: auto;
    }
    .terminal {
        max-width: 250px;
    }
}

.terminal:before {
    content: '...';
    position: absolute;
    top: -57px;
    font-size: 60px;
    line-height: 60px;
    left: -1px;
    font-weight: bold;
    font-family: Times, 'Times New Roman', serif;
    color: #c5c5c5;
}


/*tool tips*/


/*thanks to http://www.cssarrowplease.com/*/

.arrow_box {
    position: relative;
    left: 1em;
    background: rgba(23, 121, 186, 1);
    border: solid transparent;
    border-radius: 5px;
    padding: 1em .5em 1em .5em;
    color: white;
    text-align: center;
    width: 25em;
}

@media screen and (max-width: 40em) {
    .arrow_box {
        width: 15em;
    }
    .terminal-just-border {
        max-width: auto;
        margin: auto;
    }
}

.arrow_box:after,
.arrow_box:before {
    bottom: 100%;
    left: 50%;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
}

.arrow_box:after {
    border-color: rgba(23, 121, 186, 0);
    border-bottom-color: #1779ba;
    border-width: 25px;
    margin-left: -25px;
}

.arrow_box:before {
    border-color: rgba(245, 245, 245, 0);
    border-width: 28px;
    margin-left: -28px;
}